Audit
/audit/journal-deltas
List journal delta audit rows with optional filters for action/effect/mutation/journal entry.
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
limit?number
Default
100Range
1 <= value <= 250offset?integer
Default
0Range
0 <= value <= 9007199254740991actionId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuideffectId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidmutationId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidjournalEntryId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidoperation?string
Value in
"insert" | "update" | "delete"rootEntityType?string
rootEntityId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidstartAt?string
endAt?string
page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/audit/journal-deltas"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"journalEntryId": "72600ee4-b304-47f3-89cd-f685d2692490",
"actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0",
"effectId": "eed930b6-0e6c-476e-a5ed-f8e56fb2d0f2",
"mutationId": "07a10364-43fa-4ac9-ba37-9ba016453dbb",
"rootEntityType": "string",
"rootEntityId": "ffcdb974-7dd1-4727-b1cd-39415010f491",
"operation": "insert",
"changedAt": "string",
"apiVersion": "string",
"changedFields": [
"string"
],
"diffJson": {},
"accountIdBefore": "6cf19f04-1ba7-4849-b349-79976d5ed619",
"accountIdAfter": "d645b7f7-3eea-42f2-a157-f0b450880420",
"centTotalBefore": 0,
"centTotalAfter": 0,
"txnAtBefore": "string",
"txnAtAfter": "string",
"statusBefore": "string",
"statusAfter": "string",
"partyBefore": "string",
"partyAfter": "string",
"listingOwnershipPeriodIdBefore": "3905542c-42b2-4e30-9faa-a278d3421529",
"listingOwnershipPeriodIdAfter": "4d0ec76e-f778-404b-b9d3-8a8717939e32",
"attachedToOwnerStatementIdBefore": "2962c1be-7315-4c0f-b7c7-3efbca1980f3",
"attachedToOwnerStatementIdAfter": "55f6ab5f-2d9a-4317-b6f3-6ce799a0fa54"
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}